<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage LETTUCE
 * @since LETTUCE 1.0
 */

$lettuce_template_args = get_query_var( 'lettuce_template_args' );
if ( is_array( $lettuce_template_args ) ) {
	$lettuce_columns    = empty( $lettuce_template_args['columns'] ) ? 2 : max( 2, $lettuce_template_args['columns'] );
	$lettuce_blog_style = array( $lettuce_template_args['type'], $lettuce_columns );
} else {
	$lettuce_blog_style = explode( '_', lettuce_get_theme_option( 'blog_style' ) );
	$lettuce_columns    = empty( $lettuce_blog_style[1] ) ? 2 : max( 2, $lettuce_blog_style[1] );
}
$lettuce_post_format = get_post_format();
$lettuce_post_format = empty( $lettuce_post_format ) ? 'standard' : str_replace( 'post-format-', '', $lettuce_post_format );
$lettuce_animation   = lettuce_get_theme_option( 'blog_animation' );


?><article id="post-<?php the_ID(); ?>" 
									<?php
									post_class(
										'post_item'
										. ' post_layout_portfolio'
										. ' post_layout_portfolio_' . esc_attr( $lettuce_columns )
										. ' post_format_' . esc_attr( $lettuce_post_format )
										. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
										. ( ! empty( $lettuce_template_args['slider'] ) ? ' slider-slide swiper-slide' : '' )
									);
									echo ( ! lettuce_is_off( $lettuce_animation ) && empty( $lettuce_template_args['slider'] ) ? ' data-animation="' . esc_attr( lettuce_get_animation_classes( $lettuce_animation ) ) . '"' : '' );
									?>
	>
<?php

	// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}
	$lettuce_image_hover = ! empty( $lettuce_template_args['hover'] ) && ! lettuce_is_inherit( $lettuce_template_args['hover'] )
								? $lettuce_template_args['hover']
								: lettuce_get_theme_option( 'image_hover' );
	// Featured image
	lettuce_show_post_featured(
		array(
			'singular'      => false,
			'hover'         => $lettuce_image_hover,
			'no_links'      => ! empty( $lettuce_template_args['no_links'] ),
			'thumb_size'    => lettuce_get_thumb_size(
				strpos( lettuce_get_theme_option( 'body_style' ), 'full' ) !== false || $lettuce_columns < 3
								? 'masonry-big'
				: 'masonry'
			),
			'show_no_image' => true,
			'class'         => 'dots' == $lettuce_image_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $lettuce_image_hover ? '<div class="post_info">' . esc_html( get_the_title() ) . '</div>' : '',
		)
	);
	?>
</article>
