<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage LETTUCE
 * @since LETTUCE 1.0
 */

$lettuce_columns     = max( 1, min( 3, count( get_option( 'sticky_posts' ) ) ) );
$lettuce_post_format = get_post_format();
$lettuce_post_format = empty( $lettuce_post_format ) ? 'standard' : str_replace( 'post-format-', '', $lettuce_post_format );
$lettuce_animation   = lettuce_get_theme_option( 'blog_animation' );

?><div class="column-1_<?php echo esc_attr( $lettuce_columns ); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_' . esc_attr( $lettuce_post_format ) ); ?>
	<?php echo ( ! lettuce_is_off( $lettuce_animation ) ? ' data-animation="' . esc_attr( lettuce_get_animation_classes( $lettuce_animation ) ) . '"' : '' ); ?>
	>

	<?php
	if ( is_sticky() && is_home() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	// Featured image
	lettuce_show_post_featured(
		array(
			'thumb_size' => lettuce_get_thumb_size( 1 == $lettuce_columns ? 'big' : ( 2 == $lettuce_columns ? 'med' : 'avatar' ) ),
		)
	);

	if ( ! in_array( $lettuce_post_format, array( 'link', 'aside', 'status', 'quote' ) ) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			lettuce_show_post_meta( apply_filters( 'lettuce_filter_post_meta_args', array(), 'sticky', $lettuce_columns ) );
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>
