<?php
/**
 * The template for homepage posts with "Chess" style
 *
 * @package WordPress
 * @subpackage LETTUCE
 * @since LETTUCE 1.0
 */

lettuce_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	lettuce_blog_archive_start();

	$lettuce_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$lettuce_sticky_out = lettuce_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $lettuce_stickies ) && count( $lettuce_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $lettuce_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $lettuce_sticky_out ) {
		?>
		<div class="chess_wrap posts_container">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $lettuce_sticky_out && ! is_sticky() ) {
			$lettuce_sticky_out = false;
			?>
			</div><div class="chess_wrap posts_container">
			<?php
		}
		$lettuce_part = $lettuce_sticky_out && is_sticky() ? 'sticky' : 'chess';
		get_template_part( apply_filters( 'lettuce_filter_get_template_part', 'content', $lettuce_part ), $lettuce_part );
	}

	?>
	</div>
	<?php

	lettuce_show_pagination();

	lettuce_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'lettuce_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'lettuce_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
