<?php
/* elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'lettuce_elegro_payment_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'lettuce_elegro_payment_theme_setup9', 9 );
	function lettuce_elegro_payment_theme_setup9() {
		if ( lettuce_exists_elegro_payment() ) {
			add_filter( 'lettuce_filter_merge_styles', 'lettuce_elegro_payment_merge_styles' );
		}
		if ( is_admin() ) {
			add_filter( 'lettuce_filter_tgmpa_required_plugins', 'lettuce_elegro_payment_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'lettuce_elegro_payment_tgmpa_required_plugins' ) ) {
	function lettuce_elegro_payment_tgmpa_required_plugins( $list = array() ) {
		if ( lettuce_storage_isset( 'required_plugins', 'woocommerce' ) && lettuce_storage_isset( 'required_plugins', 'elegro-payment' ) && lettuce_storage_get_array( 'required_plugins', 'elegro-payment', 'install' ) !== false ) {
			$list[] = array(
				'name'     => lettuce_storage_get_array( 'required_plugins', 'elegro-payment' ),
				'slug'     => 'elegro-payment',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if this plugin installed and activated
if ( ! function_exists( 'lettuce_exists_elegro_payment' ) ) {
	function lettuce_exists_elegro_payment() {
		return class_exists( 'WC_Elegro_Payment' );
	}
}

// Merge custom styles
if ( ! function_exists( 'lettuce_elegro_payment_merge_styles' ) ) {
	function lettuce_elegro_payment_merge_styles( $list ) {
		$list[] = 'plugins/elegro-payment/_elegro-payment.scss';
		return $list;
	}
}