<?php
/* Product Delivery Date for WooCommerce - Lite
------------------------------------------------------------------------------- */


// Check if this plugin installed and activated
if ( ! function_exists( 'lettuce_exists_product_delivery_date_for_woocommerce_lite' ) ) {
	function lettuce_exists_product_delivery_date_for_woocommerce_lite() {
		return class_exists( 'Prdd_Lite_Woocommerce' );
	}
}


/* Product Delivery Date for WooCommerce - Lite support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('lettuce_product_delivery_date_for_woocommerce_lite_theme_setup9')) {
    add_action('after_setup_theme', 'lettuce_product_delivery_date_for_woocommerce_lite_theme_setup9', 9);
    function lettuce_product_delivery_date_for_woocommerce_lite_theme_setup9()
    {
        if ( lettuce_exists_product_delivery_date_for_woocommerce_lite() ) {
            add_filter( 'lettuce_filter_merge_styles', 'lettuce_product_delivery_date_for_woocommerce_lite_merge_styles' );
        }
        if (is_admin()) {
            add_filter('lettuce_filter_tgmpa_required_plugins', 'lettuce_product_delivery_date_for_woocommerce_lite_tgmpa_required_plugins');
        }
    }
}



// Filter to add in the required plugins list
if (!function_exists('lettuce_product_delivery_date_for_woocommerce_lite_tgmpa_required_plugins')) {
    function lettuce_product_delivery_date_for_woocommerce_lite_tgmpa_required_plugins($list = array())
    {

        if ( lettuce_storage_isset( 'required_plugins', 'woocommerce' ) && lettuce_storage_isset( 'required_plugins', 'product-delivery-date-for-woocommerce-lite' ) && lettuce_storage_get_array( 'required_plugins', 'product-delivery-date-for-woocommerce-lite', 'install' ) !== false ) {

            $list[] = array(
                'name' => esc_html__('Product Delivery Date for WooCommerce - Lite', 'lettuce'),
                'slug' => 'product-delivery-date-for-woocommerce-lite',
                'required' => false
            );
        }
        return $list;
    }
}

// Merge custom styles
if ( ! function_exists( 'lettuce_product_delivery_date_for_woocommerce_lite_merge_styles' ) ) {
    function lettuce_product_delivery_date_for_woocommerce_lite_merge_styles( $list ) {
        $list[] = 'plugins/product-delivery-date-for-woocommerce-lite/_product-delivery-date-for-woocommerce-lite.scss';
        return $list;
    }
}