<?php
/* ThemeREX Updater support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'lettuce_trx_socials_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'lettuce_trx_socials_theme_setup9', 9 );
	function lettuce_trx_socials_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'lettuce_filter_tgmpa_required_plugins', 'lettuce_trx_socials_tgmpa_required_plugins', 8 );
		}
	}
}

// Filter to add in the required plugins list
// Priority 8 is used to add this plugin before all other plugins
if ( ! function_exists( 'lettuce_trx_socials_tgmpa_required_plugins' ) ) {
	function lettuce_trx_socials_tgmpa_required_plugins( $list = array() ) {
		if ( lettuce_storage_isset( 'required_plugins', 'trx_socials' )) {
			$path = lettuce_get_file_dir('plugins/trx_socials/trx_socials.zip');
			if ( ! empty( $path ) || lettuce_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => lettuce_storage_get_array( 'required_plugins', 'trx_socials'),
					'slug'     => 'trx_socials',
					'version'	=> '1.4.4',
					'source'   => ! empty( $path ) ? $path : 'upload://trx_socials.zip',
					'required' => false,
				);
			}
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( ! function_exists( 'lettuce_exists_trx_socials' ) ) {
	function lettuce_exists_trx_socials() {
		return defined( 'TRX_SOCIALS_STORAGE' );
	}
}
