<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage LETTUCE
 * @since LETTUCE 1.0
 */

if ( lettuce_sidebar_present() ) {
	ob_start();
	$lettuce_sidebar_name = lettuce_get_theme_option( 'sidebar_widgets' );
	lettuce_storage_set( 'current_sidebar', 'sidebar' );
	if ( is_active_sidebar( $lettuce_sidebar_name ) ) {
		dynamic_sidebar( $lettuce_sidebar_name );
	}
	$lettuce_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $lettuce_out ) ) {
		$lettuce_sidebar_position = lettuce_get_theme_option( 'sidebar_position' );
		?>
		<div class="sidebar widget_area
			<?php
			echo esc_attr( $lettuce_sidebar_position );
			if ( ! lettuce_is_inherit( lettuce_get_theme_option( 'sidebar_scheme' ) ) ) {
				echo ' scheme_' . esc_attr( lettuce_get_theme_option( 'sidebar_scheme' ) );
			}
			?>
		" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'lettuce_action_before_sidebar' );
				lettuce_show_layout( preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $lettuce_out ) );
				do_action( 'lettuce_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
