<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage LETTUCE
 * @since LETTUCE 1.0.1
 */

$lettuce_theme_obj = wp_get_theme();
?>
<div class="lettuce_admin_notice lettuce_welcome_notice update-nag">
	<?php
	// Theme image
	$lettuce_theme_img = lettuce_get_file_url( 'screenshot.jpg' );
	if ( '' != $lettuce_theme_img ) {
		?>
		<div class="lettuce_notice_image"><img src="<?php echo esc_url( $lettuce_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'lettuce' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="lettuce_notice_title">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
                esc_html__( 'Welcome to %1$s v.%2$s', 'lettuce' ),
				$lettuce_theme_obj->name . ( LETTUCE_THEME_FREE ? ' ' . esc_html__( 'Free', 'lettuce' ) : '' ),
				$lettuce_theme_obj->version
			)
		);
		?>
	</h3>
	<?php

	// Description
	?>
	<div class="lettuce_notice_text">
		<p class="lettuce_notice_text_description">
			<?php
			echo str_replace( '. ', '.<br>', wp_kses_data( $lettuce_theme_obj->description ) );
			?>
		</p>
		<p class="lettuce_notice_text_info">
			<?php
			echo wp_kses_data( __( 'Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'lettuce' ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="lettuce_notice_buttons">
		<?php
		// Link to the page 'About Theme'
		?>
		<a href="<?php echo esc_url( admin_url() . 'themes.php?page=lettuce_about' ); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> 
			<?php
			echo esc_html__( 'Install plugin "ThemeREX Addons"', 'lettuce' );
			?>
		</a>
		<?php		
		// Dismiss this notice
		?>
		<a href="#" class="lettuce_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="lettuce_hide_notice_text"><?php esc_html_e( 'Dismiss', 'lettuce' ); ?></span></a>
	</div>
</div>
