<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage LETTUCE
 * @since LETTUCE 1.0.10
 */

$lettuce_footer_id = str_replace( 'footer-custom-', '', lettuce_get_theme_option( 'footer_style' ) );
if ( 0 == (int) $lettuce_footer_id ) {
	$lettuce_footer_id = lettuce_get_post_id(
		array(
			'name'      => $lettuce_footer_id,
			'post_type' => defined( 'TRX_ADDONS_CPT_LAYOUTS_PT' ) ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts',
		)
	);
} else {
	$lettuce_footer_id = apply_filters( 'lettuce_filter_get_translated_layout', $lettuce_footer_id );
}
$lettuce_footer_meta = get_post_meta( $lettuce_footer_id, 'trx_addons_options', true );
if ( ! empty( $lettuce_footer_meta['margin'] ) != '' ) {
	lettuce_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( lettuce_prepare_css_value( $lettuce_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $lettuce_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $lettuce_footer_id ) ) ); ?>
						<?php
						if ( ! lettuce_is_inherit( lettuce_get_theme_option( 'footer_scheme' ) ) ) {
							echo ' scheme_' . esc_attr( lettuce_get_theme_option( 'footer_scheme' ) );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'lettuce_action_show_layout', $lettuce_footer_id );
	?>
</footer><!-- /.footer_wrap -->
