<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage LETTUCE
 * @since LETTUCE 1.0.10
 */

// Logo
if ( lettuce_is_on( lettuce_get_theme_option( 'logo_in_footer' ) ) ) {
	$lettuce_logo_image = lettuce_get_logo_image( 'footer' );
	$lettuce_logo_text  = get_bloginfo( 'name' );
	if ( ! empty( $lettuce_logo_image ) || ! empty( $lettuce_logo_text ) ) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if ( ! empty( $lettuce_logo_image ) ) {
					$lettuce_attr = lettuce_getimagesize( $lettuce_logo_image );
					echo '<a href="' . esc_url( home_url( '/' ) ) . '">'
							. '<img src="' . esc_url( $lettuce_logo_image ) . '"'
								. ' class="logo_footer_image"'
								. ' alt="' . esc_attr__( 'Site logo', 'lettuce' ) . '"'
								. ( ! empty( $lettuce_attr[3] ) ? ' ' . wp_kses_data( $lettuce_attr[3] ) : '' )
							. '>'
						. '</a>';
				} elseif ( ! empty( $lettuce_logo_text ) ) {
					echo '<h1 class="logo_footer_text">'
							. '<a href="' . esc_url( home_url( '/' ) ) . '">'
								. esc_html( $lettuce_logo_text )
							. '</a>'
						. '</h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
