<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage LETTUCE
 * @since LETTUCE 1.0.10
 */

// Footer sidebar
$lettuce_footer_name    = lettuce_get_theme_option( 'footer_widgets' );
$lettuce_footer_present = ! lettuce_is_off( $lettuce_footer_name ) && is_active_sidebar( $lettuce_footer_name );
if ( $lettuce_footer_present ) {
	lettuce_storage_set( 'current_sidebar', 'footer' );
	$lettuce_footer_wide = lettuce_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $lettuce_footer_name ) ) {
		dynamic_sidebar( $lettuce_footer_name );
	}
	$lettuce_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $lettuce_out ) ) {
		$lettuce_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $lettuce_out );
		$lettuce_need_columns = true;
		if ( $lettuce_need_columns ) {
			$lettuce_columns = max( 0, (int) lettuce_get_theme_option( 'footer_columns' ) );
			if ( 0 == $lettuce_columns ) {
				$lettuce_columns = min( 4, max( 1, substr_count( $lettuce_out, '<aside ' ) ) );
			}
			if ( $lettuce_columns > 1 ) {
				$lettuce_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $lettuce_columns ) . ' widget', $lettuce_out );
			} else {
				$lettuce_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $lettuce_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $lettuce_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $lettuce_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'lettuce_action_before_sidebar' );
				lettuce_show_layout( $lettuce_out );
				do_action( 'lettuce_action_after_sidebar' );
				if ( $lettuce_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $lettuce_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
