<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage LETTUCE
 * @since LETTUCE 1.0.06
 */

$lettuce_header_css   = '';
$lettuce_header_image = get_header_image();
$lettuce_header_video = lettuce_get_header_video();
if ( ! empty( $lettuce_header_image ) && lettuce_trx_addons_featured_image_override( is_singular() || lettuce_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$lettuce_header_image = lettuce_get_current_mode_image( $lettuce_header_image );
}

$lettuce_header_id = str_replace( 'header-custom-', '', lettuce_get_theme_option( 'header_style' ) );
if ( 0 == (int) $lettuce_header_id ) {
	$lettuce_header_id = lettuce_get_post_id(
		array(
			'name'      => $lettuce_header_id,
			'post_type' => defined( 'TRX_ADDONS_CPT_LAYOUTS_PT' ) ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts',
		)
	);
} else {
	$lettuce_header_id = apply_filters( 'lettuce_filter_get_translated_layout', $lettuce_header_id );
}
$lettuce_header_meta = get_post_meta( $lettuce_header_id, 'trx_addons_options', true );
if ( ! empty( $lettuce_header_meta['margin'] ) != '' ) {
	lettuce_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( lettuce_prepare_css_value( $lettuce_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $lettuce_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $lettuce_header_id ) ) ); ?>
				<?php
				echo ! empty( $lettuce_header_image ) || ! empty( $lettuce_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $lettuce_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $lettuce_header_image ) {
					echo ' ' . esc_attr( lettuce_add_inline_css_class( 'background-image: url(' . esc_url( $lettuce_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( lettuce_is_on( lettuce_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight lettuce-full-height';
				}
				if ( ! lettuce_is_inherit( lettuce_get_theme_option( 'header_scheme' ) ) ) {
					echo ' scheme_' . esc_attr( lettuce_get_theme_option( 'header_scheme' ) );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $lettuce_header_video ) ) {
		get_template_part( apply_filters( 'lettuce_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'lettuce_action_show_layout', $lettuce_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'lettuce_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
