<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage LETTUCE
 * @since LETTUCE 1.0
 */

$lettuce_args = get_query_var( 'lettuce_logo_args' );

// Site logo
$lettuce_logo_type   = isset( $lettuce_args['type'] ) ? $lettuce_args['type'] : '';
$lettuce_logo_image  = lettuce_get_logo_image( $lettuce_logo_type );
$lettuce_logo_text   = lettuce_is_on( lettuce_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$lettuce_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $lettuce_logo_image ) || ! empty( $lettuce_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $lettuce_logo_image ) ) {
			if ( empty( $lettuce_logo_type ) && function_exists( 'the_custom_logo' ) && (int) $lettuce_logo_image > 0 ) {
				the_custom_logo();
			} else {
				$lettuce_attr = lettuce_getimagesize( $lettuce_logo_image );
				echo '<img src="' . esc_url( $lettuce_logo_image ) . '" alt="' . esc_attr( $lettuce_logo_text ) . '"' . ( ! empty( $lettuce_attr[3] ) ? ' ' . wp_kses_data( $lettuce_attr[3] ) : '' ) . '>';
			}
		} else {
			lettuce_show_layout( lettuce_prepare_macros( $lettuce_logo_text ), '<span class="logo_text">', '</span>' );
			lettuce_show_layout( lettuce_prepare_macros( $lettuce_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
