<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage LETTUCE
 * @since LETTUCE 1.0
 */

// Page (category, tag, archive, author) title

if ( lettuce_need_page_title() ) {
	lettuce_sc_layouts_showed( 'title', true );
	lettuce_sc_layouts_showed( 'postmeta', false );
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if (false && is_single() ) {
							?>
							<div class="sc_layouts_title_meta">
							<?php
								lettuce_show_post_meta(
									apply_filters(
										'lettuce_filter_post_meta_args', array(
											'components' => lettuce_array_get_keys_by_value( lettuce_get_theme_option( 'meta_parts' ) ),
											'counters'   => lettuce_array_get_keys_by_value( lettuce_get_theme_option( 'counters' ) ),
											'seo'        => lettuce_is_on( lettuce_get_theme_option( 'seo_snippets' ) ),
										), 'header', 1
									)
								);
							?>
							</div>
							<?php
						}

						// Blog/Post title
						?>
						<div class="sc_layouts_title_title">
							<?php
							$lettuce_blog_title           = lettuce_get_blog_title();
							$lettuce_blog_title_text      = '';
							$lettuce_blog_title_class     = '';
							$lettuce_blog_title_link      = '';
							$lettuce_blog_title_link_text = '';
							if ( is_array( $lettuce_blog_title ) ) {
								$lettuce_blog_title_text      = $lettuce_blog_title['text'];
								$lettuce_blog_title_class     = ! empty( $lettuce_blog_title['class'] ) ? ' ' . $lettuce_blog_title['class'] : '';
								$lettuce_blog_title_link      = ! empty( $lettuce_blog_title['link'] ) ? $lettuce_blog_title['link'] : '';
								$lettuce_blog_title_link_text = ! empty( $lettuce_blog_title['link_text'] ) ? $lettuce_blog_title['link_text'] : '';
							} else {
								$lettuce_blog_title_text = $lettuce_blog_title;
							}
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr( $lettuce_blog_title_class ); ?>">
								<?php
								$lettuce_top_icon = lettuce_get_category_icon();
								if ( ! empty( $lettuce_top_icon ) ) {
									$lettuce_attr = lettuce_getimagesize( $lettuce_top_icon );
									?>
									<img src="<?php echo esc_url( $lettuce_top_icon ); ?>" alt="<?php esc_attr_e( 'Site icon', 'lettuce' ); ?>"
										<?php
										if ( ! empty( $lettuce_attr[3] ) ) {
											lettuce_show_layout( $lettuce_attr[3] );
										}
										?>
									>
									<?php
								}
								echo wp_kses_post( $lettuce_blog_title_text );
								?>
							</h1>
							<?php
							if ( ! empty( $lettuce_blog_title_link ) && ! empty( $lettuce_blog_title_link_text ) ) {
								?>
								<a href="<?php echo esc_url( $lettuce_blog_title_link ); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html( $lettuce_blog_title_link_text ); ?></a>
								<?php
							}

							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) {
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
							}

							?>
						</div>
						<?php
                        if ( lettuce_exists_trx_addons() ) { // Breadcrumbs ?>
                            <div class="sc_layouts_title_breadcrumbs">
                                <?php
                                do_action( 'lettuce_action_breadcrumbs' );
                                ?>
                            </div>
                        <?php
                        }
                        ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>
