<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage LETTUCE
 * @since LETTUCE 1.0
 */

// Header sidebar
$lettuce_header_name    = lettuce_get_theme_option( 'header_widgets' );
$lettuce_header_present = ! lettuce_is_off( $lettuce_header_name ) && is_active_sidebar( $lettuce_header_name );
if ( $lettuce_header_present ) {
	lettuce_storage_set( 'current_sidebar', 'header' );
	$lettuce_header_wide = lettuce_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $lettuce_header_name ) ) {
		dynamic_sidebar( $lettuce_header_name );
	}
	$lettuce_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $lettuce_widgets_output ) ) {
		$lettuce_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $lettuce_widgets_output );
		$lettuce_need_columns   = strpos( $lettuce_widgets_output, 'columns_wrap' ) === false;
		if ( $lettuce_need_columns ) {
			$lettuce_columns = max( 0, (int) lettuce_get_theme_option( 'header_columns' ) );
			if ( 0 == $lettuce_columns ) {
				$lettuce_columns = min( 6, max( 1, substr_count( $lettuce_widgets_output, '<aside ' ) ) );
			}
			if ( $lettuce_columns > 1 ) {
				$lettuce_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $lettuce_columns ) . ' widget', $lettuce_widgets_output );
			} else {
				$lettuce_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $lettuce_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $lettuce_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $lettuce_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'lettuce_action_before_sidebar' );
				lettuce_show_layout( $lettuce_widgets_output );
				do_action( 'lettuce_action_after_sidebar' );
				if ( $lettuce_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $lettuce_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
