<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package WordPress
 * @subpackage LETTUCE
 * @since LETTUCE 1.0
 */

$lettuce_link        = get_permalink();
$lettuce_post_format = get_post_format();
$lettuce_post_format = empty( $lettuce_post_format ) ? 'standard' : str_replace( 'post-format-', '', $lettuce_post_format );
?><div id="post-<?php the_ID(); ?>" 
	<?php post_class( 'related_item related_item_style_2 post_format_' . esc_attr( $lettuce_post_format ) ); ?>>
						<?php
						lettuce_show_post_featured(
							array(
								'thumb_size'    => apply_filters( 'lettuce_filter_related_thumb_size', lettuce_get_thumb_size( (int) lettuce_get_theme_option( 'related_posts' ) == 1 ? 'huge' : 'related' ) ),
								'show_no_image' => lettuce_get_theme_setting( 'allow_no_image' ),
								'singular'      => false,
							)
						);
						?>
	<div class="post_header entry-header">
		<h6 class="post_title entry-title"><a href="<?php echo esc_url( $lettuce_link ); ?>"><?php the_title(); ?></a></h6>
        <div class="post_content_inner">
            <?php
            if ( has_excerpt() ) {
                the_excerpt();

            }elseif ( 'quote' == $lettuce_post_format ) {
                $quote = lettuce_get_tag( get_the_content(), '<blockquote>', '</blockquote>' );
                if ( ! empty( $quote ) ) {
                    lettuce_show_layout( wpautop( $quote ) );
                } else {
                    the_excerpt();
                }
            }
            elseif ( substr( get_the_content(), 0, 4 ) != '[vc_' ) {
                the_excerpt();
            }
            ?>
        </div>
        <?php
        // Post meta
        $lettuce_hover = ! empty( $lettuce_template_args['hover'] ) && ! lettuce_is_inherit( $lettuce_template_args['hover'] )
            ? $lettuce_template_args['hover']
            : lettuce_get_theme_option( 'image_hover' );
        $lettuce_components = lettuce_array_get_keys_by_value( lettuce_get_theme_option( 'meta_parts' ) );
        $lettuce_counters   = lettuce_array_get_keys_by_value( lettuce_get_theme_option( 'counters' ) );

        if ( ! empty( $lettuce_components ) && ! in_array( $lettuce_hover, array( 'border', 'pull', 'slide', 'fade' ) ) ) {
            lettuce_show_post_meta(
                apply_filters(
                    'lettuce_filter_post_meta_args', array(
                    'components' => $lettuce_components,
                    'counters'   => $lettuce_counters,
                    'seo'        => false,
                ), 'excerpt', 1
                )
            );
        }?>
	</div>

</div>
